Arch Rebar/ja: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updating to match new version of source page)
(6 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
<div class="mw-translate-fuzzy">
{{docnav|[[Arch_Rebar_BeamReinforcement|BeamReinforcement]]|[[Arch_Floor|Floor]]|[[Arch_Module|Arch]]|IconL=Arch_Rebar_BeamReinforcement.svg |IconC=Workbench_Arch.svg |IconR=Arch_Floor.svg}}
{{docnav|[[Arch_Rebar_BeamReinforcement|BeamReinforcement]]|[[Arch_Floor|Floor]]|[[Arch_Module|Arch]]|IconL=Arch_Rebar_BeamReinforcement.svg |IconC=Workbench_Arch.svg |IconR=Arch_Floor.svg}}
</div>


<div class="mw-translate-fuzzy">
{{GuiCommand/ja
{{GuiCommand/ja
|Name=Arch Rebar
|Name=Arch Rebar
Line 10: Line 13:
|SeeAlso=[[Arch Structure|Arch Structure]], [[Reinforcement Addon|Reinforcement Addon]]
|SeeAlso=[[Arch Structure|Arch Structure]], [[Reinforcement Addon|Reinforcement Addon]]
}}
}}
</div>


==説明==
==説明==
Line 16: Line 20:
Rebarツールを使用すると、[[Arch Structure]]オブジェクトの中に [http://en.wikipedia.org/wiki/Rebar reinforcing bars] を配置することができます。 Rebarオブジェクトは、[[Sketcher Module|sketches]] /[[スケッチャーモジュール|スケッチ]]や[[Draft Module|draft objects]]/[[ドラフトモジュール|ドラフトオブジェクト]]などの2Dプロファイルに基づいており、構造オブジェクトの面に描画する必要があります。バーの数や直径、または構造要素の両端のオフセット距離など、リバーの構成を調整することができます。
Rebarツールを使用すると、[[Arch Structure]]オブジェクトの中に [http://en.wikipedia.org/wiki/Rebar reinforcing bars] を配置することができます。 Rebarオブジェクトは、[[Sketcher Module|sketches]] /[[スケッチャーモジュール|スケッチ]]や[[Draft Module|draft objects]]/[[ドラフトモジュール|ドラフトオブジェクト]]などの2Dプロファイルに基づいており、構造オブジェクトの面に描画する必要があります。バーの数や直径、または構造要素の両端のオフセット距離など、リバーの構成を調整することができます。
</div>
</div>

The [[Arch_Rebar|Arch Rebar]] tool is also integrated into [[BIM_Workbench|BIM Workbench]].


Rebar objects are based on 2D profiles such as [[Draft Workbench|Draft objects]] and [[Sketcher Workbench|Sketches]], that must be drawn on a face of the structural object. After creation you can adjust the properties of the rebar, including the number and diameter of the bars, and the offset distance between them and the faces of the structural element.
Rebar objects are based on 2D profiles such as [[Draft Workbench|Draft objects]] and [[Sketcher Workbench|Sketches]], that must be drawn on a face of the structural object. After creation you can adjust the properties of the rebar, including the number and diameter of the bars, and the offset distance between them and the faces of the structural element.
Line 26: Line 32:
==利用可能なエクステンション==
==利用可能なエクステンション==


The Rebar tool is enhanced by the [[Reinforcement Addon|Reinforcement Addon]], which is installed by the [[Addon Manager|Addon Manager]]. The additional rebar types available with the addon are:
The Rebar tool is enhanced by the [[Reinforcement Workbench|Reinforcement Workbench]], which is installed by the [[Addon Manager|Addon Manager]]. The additional rebar types available with the addon are:
* [[Image:Arch_Rebar_Straight.svg|32px]] [[Arch_Rebar_Straight|Straight Rebar]]
* [[Image:Arch_Rebar_Straight.svg|32px]] [[Arch_Rebar_Straight|Straight Rebar]]
* [[Image:Arch_Rebar_UShape.svg|32px]] [[Arch_Rebar_UShape|UShape Rebar]]
* [[Image:Arch_Rebar_UShape.svg|32px]] [[Arch_Rebar_UShape|UShape Rebar]]
Line 34: Line 40:
* [[Image:Arch_Rebar_Helical.svg|32px]] [[Arch_Rebar_Helical|Helical Rebar]]
* [[Image:Arch_Rebar_Helical.svg|32px]] [[Arch_Rebar_Helical|Helical Rebar]]


<div class="mw-translate-fuzzy">
==使用方法==
==使用方法==
</div>


# Switch to the [[Image:Workbench_Arch.svg|16px]] [[Arch Workbench]]
# Create an {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch Structure|Arch Structure]]}} element.
# Create an {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch Structure|Arch Structure]]}} element.
# Switch to the [[Sketcher Workbench|Sketcher Workbench]].
# Switch to the [[Image:Workbench_Sketcher.svg|16px]] [[Sketcher Workbench|Sketcher Workbench]].
# Select one face of the structural element.
# Select one face of the structural element.
# Press the {{Button|[[Image:Sketcher NewSketch.svg|16px]] [[Sketcher NewSketch|New Sketch]]}} button to start a new sketch on the selected face.
# Press the {{Button|[[Image:Sketcher NewSketch.svg|16px]] [[Sketcher NewSketch|New Sketch]]}} button to start a new sketch on the selected face.
# Draw the diagram of your bar.
# Draw the diagram of your bar.
# Press the {{Button|[[Image:Sketcher LeaveSketch.svg|16px]] [[Sketcher LeaveSketch|Leave Sketch]]}} button to finish.
# Press the {{Button|[[Image:Sketcher LeaveSketch.svg|16px]] [[Sketcher LeaveSketch|Leave Sketch]]}} button to finish.
# Switch back to the [[Arch Workbench]].
# Switch back to the [[Image:Workbench_Arch.svg|16px]] [[Arch Workbench]].
# Select the sketch you just drew.
# Select the sketch you just drew.
# Press the {{Button|[[Image:Arch Rebar.svg|16px]] [[Arch Rebar|Arch Rebar]]}} button, or press {{KEY|R}} then {{KEY|B}} keys.
# Press the {{Button|[[Image:Arch Rebar.svg|16px]] [[Arch Rebar|Arch Rebar]]}} button, or press {{KEY|R}} then {{KEY|B}} keys.
Line 83: Line 92:


例題:
例題:

{{Code|code=
{{Code|code=
import FreeCAD, Arch, Part
import FreeCAD, Arch, Part
Line 103: Line 113:
FreeCAD.ActiveDocument.recompute()
FreeCAD.ActiveDocument.recompute()
}}
}}

<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{docnav|[[Arch_Rebar_BeamReinforcement|BeamReinforcement]]|[[Arch_Floor|Floor]]|[[Arch_Module|Arch]]|IconL=Arch_Rebar_BeamReinforcement.svg |IconC=Workbench_Arch.svg |IconR=Arch_Floor.svg}}
[[Category:Arch]]
</div>
</div>


{{Arch Tools navi/ja}}
{{Arch Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

[[Category:External Command Reference{{#translation:}}]]
{{Userdocnavi/ja}}
[[Category:Reinforcement{{#translation:}}]]

Revision as of 20:00, 23 September 2020

Arch Rebar

メニューの場所
Arch → Rebar
ワークベンチ
Arch
デフォルトのショートカット
R B
バージョンで導入
-
も参照してください
Arch Structure, Reinforcement Addon

説明

Rebarツールを使用すると、Arch Structureオブジェクトの中に reinforcing bars を配置することができます。 Rebarオブジェクトは、sketches /スケッチdraft objects/ドラフトオブジェクトなどの2Dプロファイルに基づいており、構造オブジェクトの面に描画する必要があります。バーの数や直径、または構造要素の両端のオフセット距離など、リバーの構成を調整することができます。

The Arch Rebar tool is also integrated into BIM Workbench.

Rebar objects are based on 2D profiles such as Draft objects and Sketches, that must be drawn on a face of the structural object. After creation you can adjust the properties of the rebar, including the number and diameter of the bars, and the offset distance between them and the faces of the structural element.

上の図は、2つの棒グラフを定義する2つのスケッチが描かれている構造オブジェクトを示しています。これらの2つのスケッチは、鉄筋オブジェクトに変換されます。

利用可能なエクステンション

The Rebar tool is enhanced by the Reinforcement Workbench, which is installed by the Addon Manager. The additional rebar types available with the addon are:

使用方法

  1. Switch to the Arch Workbench
  2. Create an Arch Structure element.
  3. Switch to the Sketcher Workbench.
  4. Select one face of the structural element.
  5. Press the New Sketch button to start a new sketch on the selected face.
  6. Draw the diagram of your bar.
  7. Press the Leave Sketch button to finish.
  8. Switch back to the Arch Workbench.
  9. Select the sketch you just drew.
  10. Press the Arch Rebar button, or press R then B keys.
  11. Adjust the desired properties (your rebar might not appear immediately, if some of the properties create an impossible situation, such as the bar diameter being 0, or the offset distances being bigger than the length of the structural element).

Although normally a rebar is used inside an Arch Structure, since FreeCAD 0.19 the rebar can be created outside of any host object. To host a rebar inside an object, you just need to set its データHost.

オプション

  • Rebars share the common properties and behaviours of all Arch Components
  • The rounding value is expressed in times the diameter. If your bar has a diameter of 5mm, a rounding value of 3 will create rounding at angles with a radius of 15mm.
  • Default values for new rebars can be set in the Arch preferences settings.
  • If a direction vector is not specified, the direction and distance along which the bars will spread is calculated automatically from the host structural object, by taking the normal direction of the base sketch, and taking its intersection with the structural object. If you specify a direction vector, the length of that vector will also be taken into account.
  • The spacing value is calculated from the current amount of bars, and represents the distance between the axes of each bar. You must therefore subtract the bar diameter to obtain the size of the free space between bars.

プロパティ

  • データAmount: The amount of bars.
  • データDiameter: The diameter of the bars.
  • データDirection: The direction (and length) along which the bars must spread. If the value is (0,0,0), the direction is calculated automatically from the host structural object.
  • データOffset Start: The offset distance between the border of the structural object and the first bar.
  • データOffset End: The offset distance between the border of the structural object and the last bar.
  • データRounding: A rounding value to be applied to the corners of the bars, expressed in times the diameter.
  • データSpacing: The distance between the axes of each bar.

スクリプト処理

Rebarツールは、macros/マクロやPythonコンソールから次の関数を使って使うことができます:

Rebar = makeRebar(baseobj=None, sketch=None, diameter=None, amount=1, offset=None, name="Rebar")
  • Creates a Rebar object from the given baseobj, which is an Arch Structure, and a sketch as profile.
    • diameter, amount, and offset are used to define the characteristics of the bars.
    • If no diameter, amount, or offset values are given, the default values from the Arch Preferences are used.

例題:

import FreeCAD, Arch, Part

Structure = Arch.makeStructure(None, length=1000, width=1000, height=3000)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

p1 = FreeCAD.Vector(-400, 400, 0)
p2 = FreeCAD.Vector(400, 400, 0)
Sketch = FreeCAD.ActiveDocument.addObject('Sketcher::SketchObject', 'Sketch')
Sketch.MapMode = "FlatFace"
Sketch.Support = [(Structure, "Face6")]
Sketch.addGeometry(Part.LineSegment(p1, p2))
FreeCAD.ActiveDocument.recompute()

Rebar = Arch.makeRebar(Structure, Sketch, diameter=80, amount=7, offset=50)
Rebar.OffsetStart = 100
Rebar.OffsetEnd = 100
FreeCAD.ActiveDocument.recompute()